﻿using DerpingDrivers.Util;
using MahApps.Metro.Controls;

namespace DerpingDrivers
{
    /// <summary>
    ///     Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : MetroWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        ///     Operating System Architecture display name
        /// </summary>
        public string OsArchitecture =>
            OsVersionInfo.OsBits == OsVersionInfo.SoftwareArchitecture.Bit64 ? "64-bit" : "32-bit";

        /// <summary>
        ///     Operating System display name
        /// </summary>
        public string OsVersionName => $"{OsVersionInfo.Name} {OsVersionInfo.Edition}";

        /// <summary>
        ///     Operating System build number
        /// </summary>
        public string OsVersion => OsVersionInfo.VersionString;
    }
}